Subject: [Iasa20] WGLC: RFC 7776-bis (oops)

From: "Livingood, Jason" <[email-masked]>
Date: Sun, 24 Mar 2019 10:03:54 +0000

We’ve just realized that while we thought we’d issued all the WGLCs we seem to have missed one for RFC7776-bis (https://datatracker.ietf.org/doc/draft-ietf-iasa2-rfc7776bis/). I guess this is the danger of closing so many documents simultaneously. Anyway – WGLC is now open, ending 7-April-2019.

Thanks
Jason

---

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 24 Mar 2019 14:48:47 -0000

Hey,

It’s been a while since I looked at this, but it all seems to still be in order.

Thanks,

Adrian

From: iasa20 <[email-masked]> On Behalf Of Livingood, Jason
Sent: 24 March 2019 10:04
To: [email-masked]
Subject: [Iasa20] WGLC: RFC 7776-bis (oops)

Thanks
Jason

---

From: S Moonesamy <[email-masked]>
Date: Mon, 25 Mar 2019 03:07:04 -0700

Hi Adrian,
At 07:48 AM 24-03-2019, Adrian Farrel wrote:
>It's been a while since I looked at this, but it all seems to still 
>be in order.

There is an instance of "IETF Administrative Director" in the last 
paragraph of Section 5 of RFC 7776.  Section 4.1 of 
draft-ietf-iasa2-rfc4071bis-08 defines that role as obsoleted and 
replaces it with "IETF LLC Executive Director".

Regards,
S. Moonesamy

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 26 Mar 2019 16:23:24 -0000

Thanks!

(No, really, thanks).

You are right. We should fix that as well. It is a simple change and we will
add it to the document as...

            <t>Section 5 of RFC  7776 <xref target="RFC7776" /> is about
Remedies (available to the Ombudsteam).  The last paragraph of that section
is replaced as follows:</t>
            <OLD>
               <list style="none">
                  <t>Where specific action is required to ensure that a
remedy is realized or enforced, the Ombudsteam will make a request in
writing to the IETF Secretariat and/or IETF Administrative Director (IAD) to
take action as appropriate.</t>
               </list></t>
            <t>NEW
               <list style="none">
                  <t>Where specific action is required to ensure that a
remedy is realized or enforced, the Ombudsteam will make a request in
writing to the IETF Secretariat and/or IETF LLC Executive Director to take
action as appropriate.</t>
               </list></t>

Cheers,
Adrian
--
Want to buy a signed copy of a book of fairy stories for adults of all ages?
Send me an email and I'll bring one to Prague for you.
"Tales from the Wood"
"More Tales from the Wood"
"Tales from Beyond the Wood"
https://www.feedaread.com/profiles/8604/

-----Original Message-----
From: S Moonesamy <[email-masked]> 
Sent: 25 March 2019 10:07
To: [email-masked]; [email-masked]
Subject: Re: [Iasa20] WGLC: RFC 7776-bis (oops)

Hi Adrian,

Regards,
S. Moonesamy

---

From: Sean Turner <[email-masked]>
Date: Sat, 30 Mar 2019 08:40:26 +0100

References to RFC 7437 appear:

   [RFC7437]  Kucherawy, M., Ed., "IAB, IESG, and IAOC Selection,
              Confirmation, and Recall Process: Operation of the
              Nominating and Recall Committees", BCP 10, RFC 7437,
              DOI 10.17487/RFC7437, January 2015,
              <http://www.rfc-editor.org/info/rfc7437>.

should we update them to refer to draft-ietf-iasa2-rfc7437bis?

spt

> On Mar 24, 2019, at 11:03, Livingood, Jason <[email-masked]> wrote:
> 
> _______________________________________________
> iasa20 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iasa20

---

From: Bob Hinden <[email-masked]>
Date: Sat, 30 Mar 2019 09:35:44 +0100

> On Mar 30, 2019, at 8:40 AM, Sean Turner <[email-masked]> wrote:
> 

I would think so.

Bob

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Sat, 30 Mar 2019 20:45:01 +0100

+1

On Sat, Mar 30, 2019 at 04:35 Bob Hinden <[email-masked]> wrote:

> >> We’ve just realized that while we thought we’d issued all the WGLCs we
> seem to have missed one for RFC7776-bis (
> https://datatracker.ietf.org/doc/draft-ietf-iasa2-rfc7776bis/). I guess
> this is the danger of closing so many documents simultaneously. Anyway –
> WGLC is now open, ending 7-April-2019.
> >>
> >> Thanks
> >> Jason
-- 
Joseph Lorenzo Hall
Chief Technologist, Center for Democracy & Technology [https://www.cdt.org]
1401 K ST NW STE 200, Washington DC 20005-3497
e: [email-masked], p: 202.407.8825, pgp: https://josephhall.org/gpg-key
Fingerprint: 3CA2 8D7B 9F6D DBD3 4B10  1607 5F86 6987 40A9 A871

---

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 30 Mar 2019 19:53:10 -0000

Well, we can do this.
It is a bit ugly because 7776 updates 7437.
So what we end up with is an I-D going into the RFC Editor Queue with a planned update to an I-D going into the RFC Editor Queue at the same time.

Just as a reminder, while 7437bis is a full replacement for (i.e., obsoletes) 7437, 7776bis is only a minor delta (i.e., updates) 7776.

I completely understand the notion of "this document is only open to make the IASA2.0 changes" but maybe this could be cleaner?
 
I will update my working copy of 7776bis to show the update to the work in progress, but if you or the WG prefer that we clean this up, I am happy to discuss doing different.

Cheers,
Adrian

PS If anyone knows how to wrangle the XML to handle this case, I'd welcome a clue. O/w I am using a note in the text.

-----Original Message-----
From: iasa20 <[email-masked]> On Behalf Of Bob Hinden
Sent: 30 March 2019 08:36
To: Sean Turner <[email-masked]>
Cc: Jason Livingood <[email-masked]>; Bob Hinden <[email-masked]>; [email-masked]
Subject: Re: [Iasa20] WGLC: RFC 7776-bis (oops)

I would think so.

Bob

---

From: John C Klensin <[email-masked]>
Date: Sat, 30 Mar 2019 17:40:09 -0400

--On Saturday, March 30, 2019 19:53 +0000 Adrian Farrel
<[email-masked]> wrote:

> So what we end up with is an I-D going into the RFC Editor
> Queue with a planned update to an I-D going into the RFC
> Editor Queue at the same time.
> 
> Just as a reminder, while 7437bis is a full replacement for
> (i.e., obsoletes) 7437, 7776bis is only a minor delta (i.e.,
> updates) 7776.
> 
> I completely understand the notion of "this document is only
> open to make the IASA2.0 changes" but maybe this could be
> cleaner?  
>...

It could indeed but I note, fwiw, that there has already been an
executive decision by the relevant AD that documents are not to
make changes that exceed the (narrowly-interpreted) scope of the
WG Charter.

I assume that ruling will not be different for different
documents, lest the WG be called upon to describe and document
the hair-splitting or to risk having several documents tied up
in appeals over the perceived inconsistency.

    john

---

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 31 Mar 2019 10:28:07 +0100

Understood.

My buffer contains an update accordingly to address Sean and SM's points.

A

-----Original Message-----
From: John C Klensin <[email-masked]> 
Sent: 30 March 2019 21:40
To: [email-masked]
Cc: 'Jason Livingood' <[email-masked]>; [email-masked]
Subject: Re: [Iasa20] WGLC: RFC 7776-bis (oops)

    john

---

From: Bob Hinden <[email-masked]>
Date: Sun, 31 Mar 2019 08:15:30 -0700

Adrian,

> On Mar 30, 2019, at 12:53 PM, Adrian Farrel <[email-masked]> wrote:
> 
> Well, we can do this.

I believe that draft-ietf-iasa2-rfc7437bis includes the Ombudsteam changes made by RFC7776.   It’s called out in the change log:

      draft-ietf-iasa2-rfc74337bis-03, 2018-October-22:

      *  Revised Section 7 to focus on repeal of the the NomCom appoint
         LLC Director positions.
      *  Added that the IETF Trust Trustees and IETF LLC Directors, each
         may appoint a liaison to the NomCom.
      *  Incorporated the update to RFC7437 done by RFC7776.
      *  Incorporated the update to RFC7437 done by [RFC8318] and
         updated it to refer to the IETF Trust and IETF LLC. instead of
         the IAOC.
      *  Editorial changes.

Specificly see Section 7.1. “Petition” and 7.1.2. "Ombudsteam Petition”

Thanks,
Bob